# Interface PropertyMap

All Known Implementing Classes:
  `SinglePropertyMap`

public interface PropertyMap

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final PropertyMap`
  `EMPTY`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `contains(PropertyId<?> pid)`
  `<T> T`
  `get(PropertyId<T> pid)`
  `PropertyId<?>`
  `getKey(int i)`
  `int`
  `size()`

- ## Field Details

  - ### EMPTY

    static final PropertyMap EMPTY

- ## Method Details

  - ### get

    <T> T get(PropertyId<T> pid)

  - ### contains

    boolean contains(PropertyId<?> pid)

  - ### size

    int size()

  - ### getKey

    PropertyId<?> getKey(int i)